DCMTK - Feature #555

Add getSpecificCharacterSet() method to DcmElement / DcmObject
2013-10-03 18:07 - Jorg Riesmeier

Status: Closed Start date: 2013-10-03
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library Estimated time: 0:00 hour

Target version:

Module: dcmdata Compiler:

Operating System:

Description
This new method should first search on the current dataset/item-level for the element (0008,0005) SpecificCharacterSet. If not found,
it should continue on the next upper level, using getParent() or getParentltem()...

It would probably be the most flexible solution to let getSpecificCharacterSet() return a C string or OFString with the complete
element value.

History

#1 - 2013-10-10 14:58 - J6rg Riesmeier
- Status changed from New to Closed
- Assignee set to Jorg Riesmeier

- % Done changed from 0 to 100

See this commit: http:/git.dcmtk.org/web?p=dcmtk.git;a=commit;h=1e6b80f42e2edd003c982c3551d8ab7dc6c00a14
